Loading...
Searching...
No Matches
Magick::ErrorRegistry Class Reference
Inheritance diagram for Magick::ErrorRegistry:

## Public Member Functions

| ErrorRegistry (const std::string &what_)
| ErrorRegistry (const std::string &what_, Exception *nested_)
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 186 of file Exception.h.

## Constructor & Destructor Documentation

## ErrorRegistry() [1/2]

Magick::ErrorRegistry::ErrorRegistry | ( | const std::string & | what_ | ) |

explicit

Definition at line 290 of file Exception.cpp.

: Error(what_)
{
}

## ErrorRegistry() [2/2]

Magick::ErrorRegistry::ErrorRegistry | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

explicit

Definition at line 295 of file Exception.cpp.

: Error(what_,nested_)
{
}

## ~ErrorRegistry()

Magick::ErrorRegistry::~ErrorRegistry | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 301 of file Exception.cpp.

{
}

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Exception.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Exception.cpp